<?php

//访问你的域名/api/api.php?login=0&username=你的手机号&password=你的账户密码，整页cookie复制粘贴到""中 示范如下
//多个cookie用,号分割
$cookie=array(
	'');

//如果空着首页会随机进网盘，如果需要首页默认网盘 在下面填第一个网盘是0，第二个是1

$user='0';

//你的网盘名字
$panname=array(
	'狸猫盘','逗比盘');

//文件夹加密功能
$cars = array
  (
  //例如我想要加密的目录为
  //http://ceshi.yaohuo.tech/file.php?fileId=123
  //http://ceshi.yaohuo.tech/file.php?fileId=321
  //这两个
  //这里输入需要加密的fileId,分割
  [914831427450730,2130114292307163,9148314274507306,-111],
  //这里输入对应上面的fileId输入密码,多个id对头多个密码 用,分割
  //例如fileId为123密码为QQ983109123，fileId为321的密码是heihei
  [QQ983109123,heihei,QQ983109123,aaa1],
  );
//自定义
$title="狸猫盘";
$body="天翼云网盘";
//排序方式,2是按时间排序，1是按名称排序
$sort="3";
//主题颜色 
//这里自己选 https://www.mdui.org/docs/color#primary-color-grey
//头部颜色
$headcolor="mdui-color-teal";
//搜索框颜色
$searchcolor="mdui-color-white";
//搜索按钮颜色
$searchcolor2="mdui-color-teal";
//下载按钮颜色
$buttoncolor="mdui-color-light-blue-a700";
//背景颜色
$bodycolor="mdui-color-white";

//表格内文字颜色
$txtcolor="#ffff";




//直连采用临时还是长期，1为临时，0为长期；
$downoff="0";

//多盘首页加密 密码用,分割
$indexpass=array('','123');

//开关首页和返回上层选项,填1为开启

$return="";


//防盗链开关，1为开启，0为关闭;
$door="0";
//防盗链设置：多个域名用,分割,示范  'http://ceshi.yaohuo.tech','http://yaohuo.tech'
$fangdao=array(
	'https://pan.yaohuo.tech','http://ceshi.yaohuo.tech');




//清理缓存访问 你的域名/clear.php





$bodyimg="https://s1.ax1x.com/2020/04/03/GaNAAK.png";
$fileimg="https://s1.ax1x.com/2020/04/03/GaNAAK.png";
//首页图片背景
//文件夹页背景




function strCutByStr(&$str, $findStart, $findEnd = false, $encoding = 'utf-8'){
        if(is_array($findStart)){
            if(count($findStart) === count($findEnd)){
                foreach($findStart as $k => $v){
                    if(($result = strCutByStr($str, $v, $findEnd[$k], $encoding)) !== false){
                        return $result;
                    }
                }
                return false;
            }else{
                return false;
            }
        }
         
        if(($start = mb_strpos($str, $findStart, 0, $encoding)) === false){
            return false;
        }
         
        $start += mb_strlen($findStart, $encoding);
         
        if($findEnd === false){
            return mb_substr($str, $start, NULL, $encoding);
        }
         
        if(($length = mb_strpos($str, $findEnd, $start, $encoding)) === false){
            return false;
        }
         
        return mb_substr($str, $start, $length - $start, $encoding);
    }
    
    
 function get_real_ip(){
    static $realip;
    if(isset($_SERVER)){
        if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])){
            $realip=$_SERVER['HTTP_X_FORWARDED_FOR'];
        }else if(isset($_SERVER['HTTP_CLIENT_IP'])){
            $realip=$_SERVER['HTTP_CLIENT_IP'];
        }else{
            $realip=$_SERVER['REMOTE_ADDR'];
        }
    }else{
        if(getenv('HTTP_X_FORWARDED_FOR')){
            $realip=getenv('HTTP_X_FORWARDED_FOR');
        }else if(getenv('HTTP_CLIENT_IP')){
            $realip=getenv('HTTP_CLIENT_IP');
        }else{
            $realip=getenv('REMOTE_ADDR');
        }
    }
    return $realip;
}





?>